View Issue Details

IDProjectCategoryView StatusLast Update
0002098LazarusLCLpublic2011-12-01 10:25
ReporterZlatko Matić Assigned ToJoost van der Sluis  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionno change required 
OSWindows XP SP2 
Product Version0.9.14 
Summary0002098: TPConnection, TSQLTransaction,TSQLQuery, TDataSource, dbGrid - crashes and doesn't show Croatian letters correctly
DescriptionI tried to work with a database on PostgreSQL 8.1.2, but there are two problems:

1. Croatian letters (WIN 1250) are not displayed correctly. Default encoding in PostgreSQL is unicode (UTF), while in Windows it is local encoding WIN 1250.
I tried with all listed encoding in Lazarus (including "unicode"), but none succeded to show letters correctly.

2. Application crashes when scrolling through the datagrid showing result of a query. Before crashing an error apears: "Abstract method called".

I send you both source-code (.zip) and screen-shots to illustrate the problem.
Steps To Reproduce1. PostgreSQL database (unicode) with croatian letters
2. TPConnection, TSQLTransaction,TSQLQuery, TDataSource, dbGrid
3. Scrolling through the data-grid
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK
Attached Files

Activities

2006-05-17 10:35

 

Lazarus_bug.zip (592,598 bytes)

Felipe Monteiro de Carvalho

2010-07-21 11:48

developer   ~0039553

Please retest with the latest Lazarus which supports unicode

Vincent Snijders

2010-10-29 14:45

manager   ~0042361

No feedback from reporter.

Issue History

Date Modified Username Field Change
2006-05-17 10:35 Zlatko Matić New Issue
2006-05-17 10:35 Zlatko Matić File Added: Lazarus_bug.zip
2006-05-17 10:35 Zlatko Matić Widgetset => GTK
2006-05-17 10:45 Vincent Snijders Target => post 1.0
2006-05-17 10:45 Vincent Snijders Assigned To => user48
2006-05-17 10:45 Vincent Snijders Status new => assigned
2006-05-25 12:13 user48 Assigned To user48 => Joost van der Sluis
2010-07-21 11:48 Felipe Monteiro de Carvalho LazTarget post 1.0 => -
2010-07-21 11:48 Felipe Monteiro de Carvalho Note Added: 0039553
2010-07-21 11:48 Felipe Monteiro de Carvalho Status assigned => feedback
2010-10-29 14:45 Vincent Snijders Status feedback => resolved
2010-10-29 14:45 Vincent Snijders Resolution open => no change required
2010-10-29 14:45 Vincent Snijders Note Added: 0042361
2011-12-01 10:25 Marc Weustink Status resolved => closed